Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1517096

Summary: [abrt] dnfdragora-gui: open(): Image.py:2572:open:OSError: cannot identify image file '/usr/share/icons/Papirus-Adapta/64x64/categories/dnfdragora.svg'
Product: [Fedora] Fedora Reporter: Tibor Attila Anca <anca.tibor>
Component: dnfdragoraAssignee: Björn 'besser82' Esser <besser82>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: besser82, lupinix.fedora, ngompa13
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/819c48253f816f4d37617ff61420f3ee647ee4ae
Whiteboard: abrt_hash:58da09968582bf6880c57f5f51cf0defbb755d4b;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 23:12:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: cpuinfo
none
File: environ
none
File: mountinfo
none
File: namespaces
none
File: open_fds none

Description Tibor Attila Anca 2017-11-24 08:14:38 UTC
Description of problem:
Each time I start gnome-shell (log in) I get this report.

Version-Release number of selected component:
dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: open
exception_type: OSError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.11-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
Image.py:2572:open:OSError: cannot identify image file '/usr/share/icons/Papirus-Adapta/64x64/categories/dnfdragora.svg'

Traceback (most recent call last):
  File "/usr/bin/dnfdragora-updater", line 25, in <module>
    dnfdragora.updater.Updater().main()
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 61, in __init__
    self.__icon  = Image.open(icon_path)
  File "/usr/lib64/python3.6/site-packages/PIL/Image.py", line 2572, in open
    % (filename if filename else fp))
OSError: cannot identify image file '/usr/share/icons/Papirus-Adapta/64x64/categories/dnfdragora.svg'

Local variables in innermost frame:
im: None
_open_core: <function open.<locals>._open_core at 0x7f350a685ae8>
prefix: b'<svg xmlns="http'
filename: '/usr/share/icons/Papirus-Adapta/64x64/categories/dnfdragora.svg'
exclusive_fp: True
mode: 'r'
fp: <_io.BufferedReader name='/usr/share/icons/Papirus-Adapta/64x64/categories/dnfdragora.svg'>

Comment 1 Tibor Attila Anca 2017-11-24 08:14:43 UTC
Created attachment 1358527 [details]
File: backtrace

Comment 2 Tibor Attila Anca 2017-11-24 08:14:44 UTC
Created attachment 1358528 [details]
File: cgroup

Comment 3 Tibor Attila Anca 2017-11-24 08:14:46 UTC
Created attachment 1358529 [details]
File: cpuinfo

Comment 4 Tibor Attila Anca 2017-11-24 08:14:47 UTC
Created attachment 1358530 [details]
File: environ

Comment 5 Tibor Attila Anca 2017-11-24 08:14:49 UTC
Created attachment 1358531 [details]
File: mountinfo

Comment 6 Tibor Attila Anca 2017-11-24 08:14:50 UTC
Created attachment 1358532 [details]
File: namespaces

Comment 7 Tibor Attila Anca 2017-11-24 08:14:52 UTC
Created attachment 1358533 [details]
File: open_fds

Comment 8 Ben Cotton 2018-11-27 14:04:39 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 23:12:28 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.